<?php
/*

Plugin Name: PixoPoint e-Commerce disabler
Plugin URI: http://pixopoint.com/products/ecommerce-disabler
Description: Disables the unnecessary CSS and JS files outputted by the WP e-Commerce plugin
Author: PixoPoint Web Development / Ryan Hellyer
Version: 1.0
Author URI: http://pixopoint.com/

Copyright (c) 2009 PixoPoint Web Development

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

*/


// Bail out immediately if in admin panel or WP e-commerce not installed
//if ( is_admin() || !function_exists( 'wpsc_the_product' ) )
//	return;

/**
 * Disable styles
 * @since 1.0
 */
function pixopoint_ecomdisable_styles() {
	wp_deregister_style( 'wpsc-theme-css' );
	wp_deregister_style( 'wpsc-theme-css-compatibility' );
	wp_deregister_style( 'wpsc-product-rater' );
	wp_deregister_style( 'wp-e-commerce-dynamic');
	wp_deregister_style( 'wpsc-thickbox' );
	wp_deregister_style( 'wpsc-gold-cart' );
}
add_action( 'wp_print_styles', 'pixopoint_ecomdisable_styles', 100 );

/**
 * Disable JavaScript
 * @since 1.0
 */
function pixopoint_ecomdisable_scripts() {
	wp_deregister_script( 'wpsc-thickbox' );
	wp_deregister_script( 'jquery-rating' );
	wp_deregister_script( 'wp-e-commerce' );
	wp_deregister_script( 'jQuery' );
	wp_deregister_script( 'infieldlabel' );
	wp_deregister_script( 'wp-e-commerce-ajax-legacy' );
	wp_deregister_script( 'wp-e-commerce-dynamic' );
	wp_deregister_script( 'livequery' );
	wp_deregister_script( 'wp-e-commerce-legacy' );
	wp_deregister_script( 'l10n' );
	wp_deregister_script( 'wpsc-gold-cart' );
}
add_action( 'wp_print_styles', 'pixopoint_ecomdisable_scripts', 100 );

/**
 * Remove Product List RSS
 * @since 1.0
 */
remove_action( 'wp_head', 'wpsc_product_list_rss_feed' );
